/***************************************************************************
                          db.h  -  Simple E/C PostgreSQL example
                             -------------------
    begin                : Wed Dec  1 10:50:30 EDT 2006
    copyright            : (C) 2006 by Kenneth Jennings
    email                : synthetoonz@bellsouth.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/*
 * =============================================================================
 * $Log: db.h,v $
 * Revision 1.2  2006/12/27 05:29:58  kenjen
 * Split db functions into generic db.pgc file and
 * a table-specific test_pgc.pgc file.
 *
 * Revision 1.1  2006/12/01 18:58:23  kjenning
 * Initial revision
 *
 * =============================================================================
 */

#ifndef PGSQL_DB_INTERFACE_INCL
#define PGSQL_DB_INTERFACE_INCL

char * dbRCSID(void);

int db_err( char * msg );

int db_connect( char * dbname,     /* a target, possibly using the URL syntax */
				char * username ); /* username could be given as "username/password" */

int db_disconnect( void );

int db_begin( void );

int db_commit( void );

int db_rollback( void );

#endif

